Bug 1348583 - [RFE] Method to Modify Fluentd Configuration Simplified
Summary: [RFE] Method to Modify Fluentd Configuration Simplified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: ewolinet
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-21 13:46 UTC by Steven Walter
Modified: 2019-12-16 05:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:38:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Steven Walter 2016-06-21 13:46:17 UTC
1. Proposed title of this feature request  
      Accessible modification of the fluent.conf file in fluentd for customizations
      
    3. What is the nature and description of the request?  
      We have run into issues where a quick change of the fluent.conf file would have solved an issue or provided an extension quickly. Modifying the conf file requires restarting the container which resets the conf file, meaning that the only way to make these "quick" changes is by mounting an external copy of the fluent.conf file which is a fragile and user-unfriendly solution.

    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
      Not that I could find
      
    10. List any affected packages or components.  
      Fluentd image, EFK stack

Comment 2 Jeff Cantrill 2016-06-21 18:42:03 UTC
@eric, how do these changes relate to our move to configmaps?

Comment 3 ewolinet 2016-06-21 20:15:14 UTC
@Jeff,

Currently we have not tried to implement this with configmaps in Fluentd.  During previous discussions we weren't sure if configmaps would be applicable for being able to accomplish this give how the Fluend config is structured.

Comment 4 Luke Meyer 2016-06-21 21:22:58 UTC
I think under OSE you could do this in the short term by mounting a secret or configmap at /etc/fluent with fluent.conf in it; as long as the keys secret mounted on top of that, it ought to carry on and that would make it pretty easy to reconfigure.

It's not clear how well this will work in the future with the refactored fluent config that's in origin. We're discussing how best to proceed. Clearly there are going to be customers wanting this type of configuration.

Comment 6 Rich Megginson 2016-07-21 22:54:45 UTC
Is this feature needed in 3.3?

Comment 7 ewolinet 2016-08-09 15:15:06 UTC
This will be available in 3.3 via configmaps.
Documentation is currently being worked on here:
https://github.com/openshift/openshift-docs/pull/2538

Comment 10 errata-xmlrpc 2016-09-27 09:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.